package com.parallel.myvideoplayer;

import android.net.Uri;
import android.os.Environment;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.MediaController;
import android.widget.VideoView;

import java.io.File;

public class MainActivity extends AppCompatActivity {
    MediaController mediaController;
    VideoView videoview;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        videoview = findViewById(R.id.videoview);

        mediaController= new MediaController(this);
        mediaController.setAnchorView(videoview);

        String filePath = Environment.getExternalStorageDirectory() + File.separator +
                "video" + File.separator + "video1.mp4";

        videoview.setMediaController(mediaController);
        videoview.setVideoURI(Uri.parse(filePath));
        videoview.requestFocus();
        videoview.start();

    }
}
